This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1271532 - BPM cluster fails to setup due to NPE in uberfire
BPM cluster fails to setup due to NPE in uberfire
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: ER5
: 6.2.0
Assigned To: Alexandre Porcelli
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 04:39 EDT by Radovan Synek
Modified: 2015-11-04 07:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server log node one (544.25 KB, text/plain)
2015-10-14 04:39 EDT, Radovan Synek
no flags Details
server log node two (452.44 KB, text/plain)
2015-10-14 04:39 EDT, Radovan Synek
no flags Details
domain.xml (86.40 KB, application/xml)
2015-10-14 04:41 EDT, Radovan Synek
no flags Details
hosts.xml (7.50 KB, application/xml)
2015-10-14 04:42 EDT, Radovan Synek
no flags Details
helix and zookeeper configuration script (1.67 KB, text/plain)
2015-10-14 10:23 EDT, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2015-10-14 04:39:25 EDT
Created attachment 1082735 [details]
server log node one

Description of problem:
Having a BPM cluster with 2 EAP nodes in a domain, the cluster fails to initialize due to NPE in org.uberfire.io.impl.cluster.helix.ClusterServiceHelix.getNodeStatus(). The first node starts up just fine, but the second node fails to deploy Business Central.

The issue occurs when cluster starts with a clean environment - including DB, .niogit and .index for both nodes, etc. After stopping the EAP domain and running it again (without erasing environment mentioned above), both cluster nodes start.

Version-Release number of selected component (if applicable):
6.2.0.ER3

How reproducible:
always with a clean environment, see above

Steps to Reproduce:
1. setup a BPM cluster with 2 nodes using EAP domain mode; use clean environment
2. start EAP via bin/domain.sh
3. watch for errors in server logs, check Business Central availability on both nodes

Additional info:
Please note that currently there is a blocker in EAP 6.4.3, applying a patch (or using EAP 6.4.4 when it comes) is necessary in order to get to this issue. See bug 1265723 for more details.
Comment 1 Radovan Synek 2015-10-14 04:39 EDT
Created attachment 1082738 [details]
server log node two
Comment 2 Radovan Synek 2015-10-14 04:41 EDT
Created attachment 1082742 [details]
domain.xml
Comment 3 Radovan Synek 2015-10-14 04:42 EDT
Created attachment 1082743 [details]
hosts.xml
Comment 4 Radovan Synek 2015-10-14 10:23 EDT
Created attachment 1082840 [details]
helix and zookeeper configuration script
Comment 7 Radovan Synek 2015-11-04 07:50:16 EST
Verified with BPMS-6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.